	.file	"cockpit.c"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"a_Vertex"
.LC1:
	.string	"a_TexCoord"
.LC2:
	.string	"a_Color"
	.text
	.globl	textureShader2
	.type	textureShader2, @function
textureShader2:
.LFB22:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$cockpit_frag.0, %esi
	movl	$cockpit_vert.1, %edi
	call	createShader
	movl	c(%rip), %edi
	call	createProgram
	movl	$.LC0, %edx
	movl	$0, %esi
	movl	c(%rip), %edi
	call	Location
	movl	$.LC1, %edx
	movl	$1, %esi
	movl	c(%rip), %edi
	call	Location
	movl	$.LC2, %edx
	movl	$2, %esi
	movl	c(%rip), %edi
	call	Location
	movl	$1, %eax
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE22:
	.size	textureShader2, .-textureShader2
	.section	.rodata.str1.1
.LC3:
	.string	"glGenBuffers"
.LC4:
	.string	"glBindBuffer"
.LC5:
	.string	"glBufferData"
.LC6:
	.string	"VBO: NOT SUPPORTED "
.LC8:
	.string	"FONT/mono.png"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC10:
	.string	" COULD NOT INITIALIZE THE FONT "
	.align 8
.LC11:
	.string	" COULD NOT INITIALIZE THE SHADER "
	.text
	.globl	initCockpit
	.type	initCockpit, @function
initCockpit:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$.LC3, %edi
	call	glXGetProcAddress
	movq	%rax, __glewGenBuffers(%rip)
	movl	$.LC4, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBindBuffer(%rip)
	movl	$.LC5, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBufferData(%rip)
	cmpq	$0, __glewGenBuffers(%rip)
	je	.L3
	cmpq	$0, __glewBindBuffer(%rip)
	je	.L3
	testq	%rax, %rax
	je	.L3
	movsd	.LC7(%rip), %xmm0
	call	glClearDepth
	movl	$2884, %edi
	call	glEnable
	movl	$2929, %edi
	call	glEnable
	movl	$515, %edi
	call	glDepthFunc
	leaq	-32(%rbp), %rsi
	movl	$2978, %edi
	call	glGetIntegerv
	movss	.LC9(%rip), %xmm0
	movl	-20(%rbp), %edx
	movl	-24(%rbp), %esi
	movl	$.LC8, %edi
	call	TMFont
	movl	$0, %eax
	call	initFont
	movl	%eax, %ebx
	testb	%al, %al
	je	.L9
	movl	$0, %eax
	call	textureShader2
	movl	%eax, %ebx
	testb	%al, %al
	je	.L10
	movl	$vbos2, %esi
	movl	$4, %edi
	call	*__glewGenBuffers(%rip)
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$n_colors, %edx
	movl	$2880, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$n_texCoords, %edx
	movl	$1440, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$n_vertices, %edx
	movl	$2160, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+12(%rip), %esi
	movl	$34963, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$n_indices, %edx
	movl	$2160, %esi
	movl	$34963, %edi
	call	*__glewBufferData(%rip)
	movl	$1, %ebx
	jmp	.L2
.L3:
	movl	$.LC6, %edi
	call	puts
	movl	$0, %ebx
.L2:
	movl	%ebx, %eax
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L9:
	.cfi_restore_state
	movl	$.LC10, %edi
	call	puts
	jmp	.L2
.L10:
	movl	$.LC11, %edi
	call	puts
	jmp	.L2
	.cfi_endproc
.LFE23:
	.size	initCockpit, .-initCockpit
	.globl	C_Vertex
	.type	C_Vertex, @function
C_Vertex:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE24:
	.size	C_Vertex, .-C_Vertex
	.globl	C_Color
	.type	C_Color, @function
C_Color:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE25:
	.size	C_Color, .-C_Color
	.globl	C_Textur
	.type	C_Textur, @function
C_Textur:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE26:
	.size	C_Textur, .-C_Textur
	.section	.rodata.str1.1
.LC12:
	.string	"r"
.LC13:
	.string	"%f %f %f %f  %f %f  %f %f %f"
	.text
	.globl	GridRaster
	.type	GridRaster, @function
GridRaster:
.LFB27:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$.LC12, %esi
	call	fopen
	movq	%rax, %rbx
	jmp	.L15
.L16:
	movss	cl+12(%rip), %xmm3
	movss	cl+8(%rip), %xmm2
	movss	cl+4(%rip), %xmm1
	movss	cl(%rip), %xmm0
	call	glColor4f
	movss	cl+20(%rip), %xmm1
	movss	cl+16(%rip), %xmm0
	call	glTexCoord2f
	movss	cl+40(%rip), %xmm2
	movss	cl+36(%rip), %xmm1
	movss	cl+32(%rip), %xmm0
	call	glVertex3f
.L15:
	subq	$8, %rsp
	pushq	$cl+40
	pushq	$cl+36
	pushq	$cl+32
	pushq	$cl+20
	pushq	$cl+16
	movl	$cl+12, %r9d
	movl	$cl+8, %r8d
	movl	$cl+4, %ecx
	movl	$cl, %edx
	movl	$.LC13, %esi
	movq	%rbx, %rdi
	movl	$0, %eax
	call	__isoc99_fscanf
	addq	$48, %rsp
	cmpl	$-1, %eax
	jne	.L16
	movq	%rbx, %rdi
	call	fclose
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE27:
	.size	GridRaster, .-GridRaster
	.globl	PolygonMatrix
	.type	PolygonMatrix, @function
PolygonMatrix:
.LFB28:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%edi, %r12d
	movq	%rdx, %rbx
	movl	$1032, %edi
	call	glPolygonMode
	movl	%r12d, %edi
	call	glBegin
	movq	%rbx, %rdi
	call	GridRaster
	call	glEnd
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE28:
	.size	PolygonMatrix, .-PolygonMatrix
	.globl	DrawMatrix
	.type	DrawMatrix, @function
DrawMatrix:
.LFB29:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 13, -24
	.cfi_offset 12, -32
	.cfi_offset 3, -40
1:	call	mcount
	movl	%edi, %ebx
	movl	%edx, %r13d
	movl	%ecx, %r12d
	movl	$1032, %edi
	call	glPolygonMode
	call	glPushMatrix
	movl	%r13d, %edx
	movl	%r12d, %esi
	movl	%ebx, %edi
	call	glDrawArrays
	call	glPopMatrix
	addq	$8, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE29:
	.size	DrawMatrix, .-DrawMatrix
	.globl	vectorMetal
	.type	vectorMetal, @function
vectorMetal:
.LFB30:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$2832, %edi
	call	glEnable
	movss	.LC14(%rip), %xmm0
	call	glLineWidth
	movss	.LC15(%rip), %xmm0
	call	glPointSize
	movl	$0, %ecx
	movl	$66, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawMatrix
	movl	$160, %ecx
	movl	$44, %edx
	movl	$6914, %esi
	movl	$7, %edi
	call	DrawMatrix
	movl	$220, %ecx
	movl	$44, %edx
	movl	$6913, %esi
	movl	$7, %edi
	call	DrawMatrix
	movl	$270, %ecx
	movl	$16, %edx
	movl	$6912, %esi
	movl	$0, %edi
	call	DrawMatrix
	movss	.LC16(%rip), %xmm0
	call	glPointSize
	movl	$1200, %ecx
	movl	$540, %edx
	movl	$6912, %esi
	movl	$7, %edi
	call	DrawMatrix
	movl	$1200, %ecx
	movl	$540, %edx
	movl	$6913, %esi
	movl	$7, %edi
	call	DrawMatrix
	movl	$1200, %ecx
	movl	$540, %edx
	movl	$6914, %esi
	movl	$7, %edi
	call	DrawMatrix
	movl	$2832, %edi
	call	glDisable
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE30:
	.size	vectorMetal, .-vectorMetal
	.globl	polygonMetal
	.type	polygonMetal, @function
polygonMetal:
.LFB31:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$112, %rsp
1:	call	mcount
	movabsq	$7597414444659130692, %rax
	movq	%rax, -15(%rbp)
	movabsq	$32481972013264489, %rax
	movq	%rax, -8(%rbp)
	movabsq	$8387229930774348100, %rax
	movabsq	$32481971744107617, %rdx
	movq	%rax, -32(%rbp)
	movq	%rdx, -24(%rbp)
	movabsq	$7165054586780401988, %rax
	movabsq	$32481972029321323, %rdx
	movq	%rax, -48(%rbp)
	movq	%rdx, -40(%rbp)
	movabsq	$8314051934387716420, %rax
	movabsq	$8388350642027128180, %rdx
	movq	%rax, -80(%rbp)
	movq	%rdx, -72(%rbp)
	movabsq	$32481971778382184, %rax
	movq	%rax, -67(%rbp)
	movabsq	$8314051934387716420, %rax
	movabsq	$7310868739030934900, %rdx
	movq	%rax, -112(%rbp)
	movq	%rdx, -104(%rbp)
	movl	$7562798, -96(%rbp)
	movl	$2832, %edi
	call	glEnable
	movss	.LC14(%rip), %xmm0
	call	glLineWidth
	movss	.LC15(%rip), %xmm0
	call	glPointSize
	leaq	-32(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonMatrix
	leaq	-48(%rbp), %rdx
	movl	$6914, %esi
	movl	$7, %edi
	call	PolygonMatrix
	leaq	-48(%rbp), %rdx
	movl	$6913, %esi
	movl	$7, %edi
	call	PolygonMatrix
	leaq	-15(%rbp), %rdx
	movl	$6912, %esi
	movl	$0, %edi
	call	PolygonMatrix
	movss	.LC16(%rip), %xmm0
	call	glPointSize
	leaq	-80(%rbp), %rdx
	movl	$6912, %esi
	movl	$7, %edi
	call	PolygonMatrix
	leaq	-80(%rbp), %rdx
	movl	$6913, %esi
	movl	$7, %edi
	call	PolygonMatrix
	leaq	-112(%rbp), %rdx
	movl	$6914, %esi
	movl	$7, %edi
	call	PolygonMatrix
	movl	$2832, %edi
	call	glDisable
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE31:
	.size	polygonMetal, .-polygonMetal
	.globl	vertexCockpit
	.type	vertexCockpit, @function
vertexCockpit:
.LFB32:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$33989, %edi
	call	*__glewActiveTextureARB(%rip)
	movl	$33989, %edi
	call	*__glewClientActiveTextureARB(%rip)
	movl	$0, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$2, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcolor2, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$2, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcircle2, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$tcircle2, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	$0, %eax
	call	polygonMetal
	movl	$2, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$0, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$33984, %edi
	call	*__glewActiveTextureARB(%rip)
	movl	$33984, %edi
	call	*__glewClientActiveTextureARB(%rip)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE32:
	.size	vertexCockpit, .-vertexCockpit
	.globl	renderCockpit
	.type	renderCockpit, @function
renderCockpit:
.LFB33:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$32886, %edi
	call	glEnableClientState
	movl	$32884, %edi
	call	glEnableClientState
	movl	$32888, %edi
	call	glEnableClientState
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcolor2, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$4, %edi
	call	glColorPointer
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcircle2, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$3, %edi
	call	glVertexPointer
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$tcircle2, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$2, %edi
	call	glTexCoordPointer
	movl	$0, %eax
	call	polygonMetal
	movl	$32888, %edi
	call	glDisableClientState
	movl	$32884, %edi
	call	glDisableClientState
	movl	$32886, %edi
	call	glDisableClientState
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE33:
	.size	renderCockpit, .-renderCockpit
	.section	.rodata.str1.1
.LC17:
	.string	"GWOS:"
.LC20:
	.string	"projection_matrix"
.LC21:
	.string	"modelview_matrix"
	.text
	.globl	Cockpit
	.type	Cockpit, @function
Cockpit:
.LFB34:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	addq	$-128, %rsp
1:	call	mcount
	movl	$0, %eax
	call	CameraLook
	movl	$0, %eax
	call	ScalePlane
	movl	$0, %eax
	call	TransPlane
	movss	.LC18(%rip), %xmm1
	movss	.LC19(%rip), %xmm0
	movl	$.LC17, %edi
	call	printString
	movl	c(%rip), %edi
	call	linkProgram
	movl	c(%rip), %edi
	call	bindShader
	leaq	-128(%rbp), %rsi
	movl	$2983, %edi
	call	glGetFloatv
	leaq	-64(%rbp), %rsi
	movl	$2982, %edi
	call	glGetFloatv
	leaq	-128(%rbp), %rcx
	movl	$0, %edx
	movl	$.LC20, %esi
	movl	c(%rip), %edi
	call	Uniform4x4
	leaq	-64(%rbp), %rcx
	movl	$1, %edx
	movl	$.LC21, %esi
	movl	c(%rip), %edi
	call	Uniform4x4
	movl	$2929, %edi
	call	glEnable
	movl	$513, %edi
	call	glDepthFunc
	movl	$0, %eax
	call	vertexCockpit
	movl	$vbos2, %esi
	movl	$4, %edi
	call	*__glewDeleteBuffers(%rip)
	movl	c(%rip), %edi
	call	DeleteShader
	call	glFlush
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE34:
	.size	Cockpit, .-Cockpit
	.section	.rodata
	.align 8
	.type	cockpit_frag.0, @object
	.size	cockpit_frag.0, 14
cockpit_frag.0:
	.string	"GLSL/fly.frag"
	.align 8
	.type	cockpit_vert.1, @object
	.size	cockpit_vert.1, 14
cockpit_vert.1:
	.string	"GLSL/fly.vert"
	.globl	n_indices
	.bss
	.align 32
	.type	n_indices, @object
	.size	n_indices, 720
n_indices:
	.zero	720
	.globl	n_vertices
	.align 32
	.type	n_vertices, @object
	.size	n_vertices, 720
n_vertices:
	.zero	720
	.globl	n_texCoords
	.align 32
	.type	n_texCoords, @object
	.size	n_texCoords, 720
n_texCoords:
	.zero	720
	.globl	n_colors
	.align 32
	.type	n_colors, @object
	.size	n_colors, 720
n_colors:
	.zero	720
	.globl	vcircle2
	.align 32
	.type	vcircle2, @object
	.size	vcircle2, 720
vcircle2:
	.zero	720
	.globl	tcircle2
	.align 32
	.type	tcircle2, @object
	.size	tcircle2, 720
tcircle2:
	.zero	720
	.globl	vcolor2
	.align 32
	.type	vcolor2, @object
	.size	vcolor2, 720
vcolor2:
	.zero	720
	.globl	c
	.align 4
	.type	c, @object
	.size	c, 4
c:
	.zero	4
	.globl	cl
	.align 32
	.type	cl, @object
	.size	cl, 48
cl:
	.zero	48
	.globl	vbos2
	.align 16
	.type	vbos2, @object
	.size	vbos2, 16
vbos2:
	.zero	16
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC7:
	.long	0
	.long	1072693248
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC9:
	.long	1103626240
	.align 4
.LC14:
	.long	1065353216
	.align 4
.LC15:
	.long	1097859072
	.align 4
.LC16:
	.long	1084227584
	.align 4
.LC18:
	.long	1110704128
	.align 4
.LC19:
	.long	1129447424
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
